Account Warning Update
Update the reason text for an existing warning. Requires the `MANAGE_WARNINGS` permission.
Update the reason text for an existing warning. Requires the
MANAGE_WARNINGS permission.
/accounts/{account_id}/warnings/{warning_id}In: cookie
Path Parameters
Account ID.
xidWarning ID.
xidRequest Body
application/json
1 <= length <= 2000Response Body
application/json
application/json
curl -X PATCH "https://loading/api/accounts/cc5lnd2s1s4652adtu50/warnings/cc5lnd2s1s4652adtu50" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{
"id": "cc5lnd2s1s4652adtu50",
"issued_at": "2019-08-24T14:15:22Z",
"reason": "string",
"issued_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Account Warning List GET
List internal moderation warnings for an account. Warnings are never public. Members may view their own warning history, and staff with the `MANAGE_WARNINGS` permission may review warnings for any account.
Invitation Create POST
Create an invitation for the authenticated account. Responds with the invitation data which can be used to construct a public vendor-specific registration URL using the invitation's identifier which can be used in calls to registration operations to indicate the account was invited.